<?php
/**
 * The top bar widget area
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

if ( ! is_active_sidebar( 'top' ) ) {
	return;
}

$extra_class = forty_two_get_setting( 'top_bar_justify_content' );

?>

<div id="site-top-bar" class="site-top-bar inline-widget-area site-component is-flex <?php echo esc_attr( $extra_class ); ?>" aria-label="<?php esc_attr_e( 'Top Header', 'forty-two' ); ?>" role="complimentary">
	<div class="site-component-inner">
		<?php dynamic_sidebar( 'top' ); ?>
	</div>
</div><!-- #site-top-bar -->
