<?php
/**
 * The template for displaying archive pages
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

get_header();

?>

			<main id="main" class="site-main">

				<?php
				if ( have_posts() ) {
					get_template_part( 'template-parts/header/generic-page-header' );

					while ( have_posts() ) {
						the_post();

						if ( forty_two_use_post_format_templates() ) {
							get_template_part( 'template-parts/content/content-' . get_post_type(), get_post_format() );
						} else {
							get_template_part( 'template-parts/content/content', get_post_type() );
						}
					}

					the_posts_navigation();
				} else {
					get_template_part( 'template-parts/content/none' );
				}
				?>

			</main><!-- #main -->

<?php

get_sidebar();
get_footer();
