<?php
/**
 * The template for displaying the social navigation in the footer
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

if ( ! forty_two_is_menu_active( 'social' ) ) {
	return;
}

?>
<nav class="social-navigation site-component" aria-label="<?php esc_attr_e( 'Social Links Menu', 'forty-two' ); ?>" role="navigation">
	<div class="site-component-inner">
		<?php forty_two_render_menu( 'social' ); ?>
	</div>
</nav><!-- .social-navigation -->
